package eu.dnetlib.domain.oai;

import java.io.Serializable;
import java.time.LocalDateTime;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Entity
@Table(name = "oai_records")
public class OaiRecord implements Serializable {

	private static final long serialVersionUID = 9178403183427337500L;

	@Id
	@Column(name = "id")
	private String id;

	@Column(name = "body")
	private String body;

	@Column(name = "date")
	private LocalDateTime date;

	@Column(name = "oai_set")
	private String oaiSet;

	public String getId() {
		return id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getBody() {
		return body;
	}

	public void setBody(final String body) {
		this.body = body;
	}

	public LocalDateTime getDate() {
		return date;
	}

	public void setDate(final LocalDateTime date) {
		this.date = date;
	}

	public String getOaiSet() {
		return oaiSet;
	}

	public void setOaiSet(final String oaiSet) {
		this.oaiSet = oaiSet;
	}
}
