package eu.dnetlib.domain.oai;

import java.io.Serializable;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Entity
@Table(name = "oai_sets")
public class OaiSet implements Serializable {

	private static final long serialVersionUID = 7405955731269852254L;

	@Id
	@Column(name = "set_spec")
	private String setSpec;

	@Column(name = "set_name")
	private String setName;

	@Column(name = "description")
	private String description;

	@Column(name = "ds_id")
	private String dsId;

	public String getSetSpec() {
		return setSpec;
	}

	public void setSetSpec(final String setSpec) {
		this.setSpec = setSpec;
	}

	public String getSetName() {
		return setName;
	}

	public void setSetName(final String setName) {
		this.setName = setName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(final String description) {
		this.description = description;
	}

	public String getDsId() {
		return dsId;
	}

	public void setDsId(final String dsId) {
		this.dsId = dsId;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
