package eu.dnetlib.domain.oai;

import java.io.Serializable;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Entity
@Table(name = "oai_md_formats")
public class OaiMetadataFormat implements Serializable {

	private static final long serialVersionUID = -4526570547812092275L;

	@Id
	@Column(name = "prefix")
	private String metadataPrefix;

	@Column(name = "schema")
	private String metadataSchema;

	@Column(name = "namespace")
	private String metadataNamespace;

	@Column(name = "xslt")
	private String xslt;

	public String getMetadataPrefix() {
		return metadataPrefix;
	}

	public void setMetadataPrefix(final String metadataPrefix) {
		this.metadataPrefix = metadataPrefix;
	}

	public String getMetadataSchema() {
		return metadataSchema;
	}

	public void setMetadataSchema(final String metadataSchema) {
		this.metadataSchema = metadataSchema;
	}

	public String getMetadataNamespace() {
		return metadataNamespace;
	}

	public void setMetadataNamespace(final String metadataNamespace) {
		this.metadataNamespace = metadataNamespace;
	}

	public String getXslt() {
		return xslt;
	}

	public void setXslt(final String xslt) {
		this.xslt = xslt;
	}

}
